Package org.jboss.resteasy.client.jaxrs.internal.proxy

## Class ProxyBuilderImpl.DelegateClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - java.security.SecureClassLoader
    - - org.jboss.resteasy.client.jaxrs.internal.proxy.ProxyBuilderImpl.DelegateClassLoader

- Enclosing class:
    ProxyBuilderImpl<T>

      public class ProxyBuilderImpl.DelegateClassLoader
      extends SecureClassLoader

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DelegateClassLoader​(ClassLoader delegate, ClassLoader parent)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `URL` | `getResource​(String name)`
    `InputStream` | `getResourceAsStream​(String name)`
    `Enumeration<URL>` | `getResources​(String name)`
    `Class<?>` | `loadClass​(String className)`

    - ### Methods inherited from class java.security.SecureClassLoader

      `defineClass, defineClass, getPermissions`

    - ### Methods inherited from class java.lang.ClassLoader

      `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DelegateClassLoader

          public DelegateClassLoader​(ClassLoader delegate,
                                     ClassLoader parent)

  - ### Method Detail

    - #### loadClass

          public Class<?> loadClass​(String className)
                             throws ClassNotFoundException

      Overrides:
        `loadClass` in class `ClassLoader`
      Throws:
        `ClassNotFoundException`

    - #### getResource

          public URL getResource​(String name)

      Overrides:
        `getResource` in class `ClassLoader`

    - #### getResources

          public Enumeration<URL> getResources​(String name)
                                        throws IOException

      Overrides:
        `getResources` in class `ClassLoader`
      Throws:
        `IOException`

    - #### getResourceAsStream

          public InputStream getResourceAsStream​(String name)

      Overrides:
        `getResourceAsStream` in class `ClassLoader`